package com.gic.haoban.manage.service.dao.mapper.moment;

import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDTO;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanWxaDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanListWxaQDTO;
import com.gic.haoban.manage.api.qdto.moment.QwMomentPlanQDTO;
import com.gic.haoban.manage.api.qdto.moment.TaskNumQDTO;
import com.gic.haoban.manage.service.entity.moment.TabQwMomentPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QwMomentPlanMapper {

    void insert(TabQwMomentPlan tab) ;

    void update(TabQwMomentPlan tab) ;

    void del(@Param("planId") Long planId) ;

    void stop(@Param("planId") Long planId) ;

    TabQwMomentPlan getById(@Param("planId") Long planId) ;

    void updateClerkNum(@Param("planId")Long planId, @Param("totalNum")int totalNum , @Param("taskClerkNum")int taskClerkNum , @Param("doneNum")int doneNum);

    List<TabQwMomentPlan> list(QwMomentPlanQDTO qdto);

    List<QwMomentPlanWxaDTO> planListWxa(PlanListWxaQDTO qdto);

    int getTaskNum(TaskNumQDTO qdto);

    void updateJobid(@Param("planId") Long planId, @Param("jobId") String jobId);

    void updateMomentId(@Param("planId") Long planId, @Param("momentId") String jobId);

    void updateQwData(@Param("planId") Long planId, @Param("like") int like, @Param("comment") int comment);
}
